/*
   Serial   
*/
public class Serial
{
	private double[][] matrix;
	//   
	public Serial(int n, int m)
	{
		matrix = new double[n][m];
	}
	//     
	public void setVal(int row, int col, double val)
	{
		matrix[row][col] = val;
	}
	//         
	private boolean isRowArithmetic(int row)
	{
		double distance = matrix[row][1] - matrix[row][0];
		for(int i = 2; i < matrix[row].length; i++)
			if (matrix[row][i] - matrix[row][i-1] != distance)
				return false;
		return true;
	}
	//      ""
	public boolean isMatrixSeries()
	{
		for(int i = 0; i < matrix.length; i++)
			if (!isRowArithmetic(i))
				return false;
		return true;
	}
}// class Serial 
