/*
                      
*/
public class StudentGrades
{
	//    
	private int[][] grades;
	//  
	public StudentGrades(int students, int tests)
	{
		grades = new int[students][tests];
	}
	//       
	public void setGrade(int studentNumber, int testNumber, 
		int grade)
	{
		grades[studentNumber-1][testNumber-1] = grade;
	}
	//     
	public double studentAverage(int studentNumber)
	{
		int sumStudent = 0;
		for (int i = 0; i < grades[studentNumber-1].length; i++)
			sumStudent = sumStudent + grades[studentNumber-1][i];
		return (double)sumStudent / grades[studentNumber-1].length;
	}
	//     
	public double testAverage(int testNumber)
	{
		int sumTest = 0;
		for (int i = 0; i < grades.length; i++)
			sumTest = sumTest + grades[i][testNumber-1];
		return (double)sumTest / grades.length;
	}
	//      
	public int maxGrade()
	{
		int max=0;
		for(int i = 0; i < grades.length; i++)
			for(int j = 0; j < grades[i].length; j++)
				if (grades[i][j] > max)
					max = grades[i][j];
		return max;
	}
} // class StudentGrades
