/*
 
*/
public class ParkingLot
{
    private int[] spaces;
    private int cash;
    private final int HOURLY_RATE = 14;
    private final int NUM_OF_SPACES = 318;
    // ,       
    public ParkingLot()
    {
        cash = 0;
        spaces = new int[NUM_OF_SPACES];
        for (int i = 0; i < spaces.length; i++)
            spaces[i] = 0;
    }
    //           , 
    //      0 
    public int carIn(int hour)
    {
     	int spaceNumber = 0;
	  	int i = 0; 
  	  	while ((i < spaces.length) && (spaceNumber == 0))
	 	{
	  		if(spaces[i] == 0)
			{
		    	spaceNumber = i + 1;
			    spaces[i] = hour;
			}
			i++;
  		}
        return spaceNumber;
    }
    //      ,          
    public int carOut(int spaceNumber, int hour)
    {
        int sumToPay;
        sumToPay  = (hour - spaces[spaceNumber-1]) * HOURLY_RATE;
        spaces[spaceNumber-1] = 0;
        cash = cash + sumToPay;
        return sumToPay;
    }
    //      
    public int endOfDay()
    {
        return cash;
    }
} // class ParkingLot
