/*
  k
*/
public class QuadrupletK
{
	//   
	private int[][] matrix;	// 
	private final int MAX_NUM;
	//  
	public QuadrupletK( int[][] mat, int maxNum)
	{
		matrix = mat;
		MAX_NUM = maxNum;
	} // QuadrupletK
	// k     
	public boolean find4K(int k)
	{
		int i,j;
		for (i = 0; i < matrix.length - 1; i++)
			for (j = 0; j < matrix[i].length - 1 ; j++)
				if (matrix[i][j] == k) 
					if ( (matrix[i+1][j] == k) && (matrix[i][j+1] == k) && (matrix[i+1][j+1] == k) )
						return true;
		return false;
	} // find4k
	//      
	public int findBiggestK()
	{
		int num = MAX_NUM; 
		while (num > 0)
		{
			if (find4K(num))
				return num;
			else
				num--;
		} // while
		return -1;
	}//findBiggestK
}// class QuadrupletK
