/*
 
*/
public class Trip
{
	//   
	private final int MAX_PASS_PER_TRIP = 50; //:   
	private int tripNum;		//  
	private int numOfPassengers;	//  
	private String[] passengers;	//   
	//  
	public Trip(int tripNum) 
	{
		passengers = new String[MAX_PASS_PER_TRIP];
		this.tripNum = tripNum;
		numOfPassengers = 0;
	}
	//  
	public int getTripNum()
	{
		return tripNum;
	}
	public int getNumOfPassengers()
	{
		return numOfPassengers;
	}
	//      
	public String[] getPassengers()
	{
		String[] pass = new String[numOfPassengers];
		for(int i = 0; i < numOfPassengers; i++)
			pass[i] = passengers[i];
		return pass; 
	} 
	//    
	//         
	public boolean addPassenger(String passenger)
	{
		if (numOfPassengers < MAX_PASS_PER_TRIP)
		{
			passengers[numOfPassengers] = passenger;
			numOfPassengers++;
			return true;
		} // if
		return false;
	} // addPassenger
}// class Trip